Cantera 2.6.0

Classes | Namespaces | Functions
BandMatrix.h File Reference

Declarations for the class BandMatrix which is a child class of GeneralMatrix for banded matrices handled by solvers (see class Numerical Utilities within Cantera and BandMatrix). More...

`#include "GeneralMatrix.h"`
Include dependency graph for BandMatrix.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | BandMatrix
| A class for banded matrices, involving matrix inversion processes. More...

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
ostream & | operator<< (std::ostream &s, const BandMatrix &m)
| Utility routine to print out the matrix. More...

## Detailed Description

Declarations for the class BandMatrix which is a child class of GeneralMatrix for banded matrices handled by solvers (see class Numerical Utilities within Cantera and BandMatrix).

Definition in file BandMatrix.h.